package com.fjhx.customer.entity.xiaoman.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseIdPo;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
@TableName("xiaoman_config")
public class XiaomanConfig extends BaseIdPo {

    private String clientId;
    private String clientSecret;
    private String username;
    private String password;
    private String scope;
    private String grantType;

    private String accessToken;
    private String refreshToken;
    /**过期时间**/
    private Date expireTime;
    /**过期时间**/
    private Date lastTokenTime;
    /**全量更新标志**/
    private int allUpdateFlag;

    private String tokenUrl;
    private String refreshTokenUrl;

}
