package com.fjhx.sale.entity.after.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

/**
 * 售后管理列表查询入参实体
 *
 * @author
 * @since 2024-04-07
 */
@Getter
@Setter
public class AfterSalesSelectDto extends BaseSelectDto {
    /**
     * 售后类型 字典
     */
    private String type;

    /**
     * 售后状态 0进行中1关闭
     */
    private Integer status;


    /**
     * 销售合同id
     */
    private Long contractId;
}
