package com.fjhx.sale.service.after;

import com.fjhx.sale.entity.after.po.AfterSales;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.after.vo.AfterSalesVo;
import com.fjhx.sale.entity.after.dto.AfterSalesSelectDto;
import com.fjhx.sale.entity.after.dto.AfterSalesDto;


/**
 * <p>
 * 售后管理 服务类
 * </p>
 *
 * @author
 * @since 2024-04-07
 */
public interface AfterSalesService extends BaseService<AfterSales> {

    /**
     * 售后管理分页
     */
    Page<AfterSalesVo> getPage(AfterSalesSelectDto dto);

    /**
     * 售后管理明细
     */
    AfterSalesVo detail(Long id);

    /**
     * 售后管理新增
     */
    void addOrEdit(AfterSalesDto afterSalesDto);

    /**
     * 售后管理删除
     */
    void delete(Long id);

    void cancellation(Long businessId);
}
